services:
  laravel_app:
    image: webdevops/php-nginx:8.2
    container_name: laravel_app
    restart: unless-stopped
    ports:
      - "8000:80"
    volumes:
      - ./backend:/app
    environment:
      - WEB_DOCUMENT_ROOT=/app/public
      - DB_HOST=postgres
      - DB_DATABASE=laravel
      - DB_USERNAME=laraveluser
      - DB_PASSWORD=laravelpassword
    command: /bin/sh -c "cd app && composer install && cp .env.example .env && php artisan migrate && php artisan jwt:secret && /usr/bin/supervisord"
    depends_on:
      - postgres

  postgres:
    image: postgres:12
    container_name: postgres
    restart: unless-stopped
    environment:
      - POSTGRES_DB=laravel
      - POSTGRES_USER=laraveluser
      - POSTGRES_PASSWORD=laravelpassword
    volumes:
      - postgres_data:/var/lib/postgresql/data

  expo_cli:
    image: node:16
    container_name: expo_cli
    ports:
      - "19000:19000"
      - "19001:19001"
      - "19002:19002"
      - "19006:19006"
    volumes:
      - ./frontend:/app
    working_dir: /app
    command: sh -c "npm install -g expo-cli && npm install && expo start --web"
    depends_on:
      - laravel_app

volumes:
  postgres_data:
